> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/personalization/api-reference/sports/sports-activity-offering.md).

# Sports Activity Offering

Sport activity offering related endpoints

## Get placed sports tickets

> Retrieve a list of placed tickets along with their details.\
> \
> {% hint style="info" %}\
> \
> \## Ticket format\
> \
> \
> \
> Each ticket consists of basic ticket information, such as its placed timestamp,\
> stake, ticket\_type and a list of bets associated with that ticket.\
> \
> The information included for each bet consists of:\
> \
> \* Event details (e.g., event ID, start time, league, participants)\
> \* Market details (e.g., market ID, name, type)\
> \* Bet details (e.g. odds)\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Ticket in given time window\
> \
> \
> The response includes bets placed within the specified time window.\
> \
> The time window is calculated using the \`at\` and \`window\` query parameters, producing\
> the following time range: \`\[at - window, at]\`.\
> \
> In most cases, \`at\` should not be used, since it defaults to \`now\`.\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## User anonymity\
> \
> \
> The response does not include any user-identifiable information, like the \`user\` placing\
> the bet, to ensure user privacy.\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Ordering of results\
> \
> \
> The results are ordered by the ticket placement time in descending order (most recent first)\
> for the given time window.\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Request example\
> \
> \
> In this example we get the 10 latest tickets of the last 5 minutes.\
> \
> \`\`\`bash\
> $ curl --request GET \\\
> &#x20; \--url '<https://api.vaix.ai/api/sports/tickets?count=10\\&window=5'\\>
> \`\`\`\
> \
> {% endhint %}\ <br>

````json
{"openapi":"3.0.1","info":{"title":"The VAIX API","version":"0.1.0"},"tags":[{"description":"Sport activity offering related endpoints","name":"Sports Activity Offering"}],"servers":[{"description":"Production API","url":"https://api.vaix.ai"},{"description":"Staging (integration) API","url":"https://staging-api.vaix.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"Ticket":{"additionalProperties":false,"description":"A ticket object","properties":{"bets":{"description":"List of bets associated with the ticket","items":{"additionalProperties":false,"properties":{"begin":{"description":"The starting time of the event in UTC","format":"date-time","type":"string"},"bet_offer_id":{"description":"The event specific market id","nullable":true,"type":"string"},"country":{"description":"The country the event takes place at","nullable":true,"type":"string"},"country_id":{"description":"The id of the country the event takes place at","nullable":true,"type":"string"},"event_id":{"description":"The unique event id","type":"string"},"event_type":{"description":"The type of the event, e.g. `outright","nullable":true,"type":"string"},"league":{"description":"The league associated with the current event","nullable":true,"type":"string"},"league_id":{"description":"The id of the event's league","nullable":true,"type":"string"},"market":{"description":"The market's name","nullable":true,"type":"string"},"market_id":{"description":"The `market`'s id","nullable":true,"type":"number"},"market_type":{"description":"The market's type","nullable":true,"type":"string"},"market_type_id":{"description":"The `market_type`'s id","nullable":true,"type":"number"},"outcome":{"description":"The selection's outcome","nullable":true,"type":"string"},"outcome_id":{"description":"The `outcome`'s id","nullable":true,"type":"number"},"participant_ids":{"description":"The id of the event participants","items":{"type":"string"},"nullable":true,"type":"array"},"participants":{"description":"The participants of the event","items":{"type":"string"},"nullable":true,"type":"array"},"period":{"description":"The selection's period","nullable":true,"type":"string"},"period_id":{"description":"The `period`'s id","nullable":true,"type":"number"},"quote":{"description":"The odds of the bet","type":"number"},"selection_id":{"description":"The market selection id","type":"string"},"side":{"description":"The side of the market, back or lay (exchange only)","type":"string"},"sport":{"description":"The sport of the event, e.g. `soccer`","nullable":true,"type":"string"},"sport_id":{"description":"The id of the event's sport","nullable":true,"type":"string"},"status":{"description":"The status of the event, e.g. `not_started`","type":"string"},"uof_external_id":{"description":"The external market id","nullable":true,"type":"string"}},"type":"object"},"type":"array"},"currency":{"description":"The currency of the ticket, e.g. USD","type":"string"},"placed_at":{"description":"The date the ticket was delivered","format":"date-time","type":"string"},"stake":{"description":"The stake of the ticket in the default currency","type":"number"},"stake_local":{"description":"The stake of the ticket in the local currency","type":"number"},"ticket_type":{"description":"The type of the ticket, e.g. single, multiple, system","type":"string"}},"type":"object"},"Error":{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},"Errors":{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"},"UnprocessableEntityError":{"oneOf":[{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"}]}}},"paths":{"/api/sports/tickets":{"get":{"description":"Retrieve a list of placed tickets along with their details.\n\n{% hint style=\"info\" %}\n\n## Ticket format\n\n\n\nEach ticket consists of basic ticket information, such as its placed timestamp,\nstake, ticket_type and a list of bets associated with that ticket.\n\nThe information included for each bet consists of:\n\n* Event details (e.g., event ID, start time, league, participants)\n* Market details (e.g., market ID, name, type)\n* Bet details (e.g. odds)\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Ticket in given time window\n\n\nThe response includes bets placed within the specified time window.\n\nThe time window is calculated using the `at` and `window` query parameters, producing\nthe following time range: `[at - window, at]`.\n\nIn most cases, `at` should not be used, since it defaults to `now`.\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## User anonymity\n\n\nThe response does not include any user-identifiable information, like the `user` placing\nthe bet, to ensure user privacy.\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Ordering of results\n\n\nThe results are ordered by the ticket placement time in descending order (most recent first)\nfor the given time window.\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Request example\n\n\nIn this example we get the 10 latest tickets of the last 5 minutes.\n\n```bash\n$ curl --request GET \\\n  --url 'https://api.vaix.ai/api/sports/tickets?count=10&window=5'\n```\n\n{% endhint %}\n\n","operationId":"get_sports_tickets","parameters":[{"description":"Custom client header, the value should be the name of the group the user belongs to","in":"header","name":"x-vaix-client-id","required":true,"schema":{"type":"string"}},{"description":"Authentication method to be used, supported values [`vaix`, `iam`]. Defaults to `vaix`","in":"header","name":"x-vaix-authentication-method","required":false,"schema":{"type":"string"}},{"description":"How many tickets to return.","in":"query","name":"count","required":false,"schema":{"default":100,"maximum":1000,"minimum":1,"type":"integer"}},{"description":"Get results calculated for the given timestamp.","in":"query","name":"at","required":false,"schema":{"default":"now","format":"date-time","type":"string"}},{"description":"Time window in minutes to look back from `at`.","in":"query","name":"window","required":false,"schema":{"default":60,"maximum":1440,"minimum":1,"type":"integer"}},{"description":"Optional filtering of the tickets to retrieve. It expects a string\nadhering to the filtering format, as described in the filtering\nsection.\n","in":"query","name":"filters","required":false,"schema":{"enum":["stake","stake_local","ticket_type","status","currency"],"type":"string"}},{"description":"The operator to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored.\n","in":"query","name":"operator","required":false,"schema":{"type":"string"}},{"description":"The bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`sub_bookmaker_id` parameter.\n","in":"query","name":"bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The sub-bookmaker id to use for querying data. Notice that this is applied only\nif your account has access to multiple operators. In a different case\nthe assigned operator to your account is used and the value of this\nfield is ignored. Note that this parameter is used together with the\n`bookmaker_id` parameter.\n","in":"query","name":"sub_bookmaker_id","required":false,"schema":{"type":"integer"}},{"description":"The location of the page where the request takes place.\n","in":"query","name":"location","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"API response","properties":{"data":{"description":"Array of objects","items":{"$ref":"#/components/schemas/Ticket"},"type":"array"},"status":{"description":"The status of the request","enum":["success","error"],"type":"string"}},"type":"object"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Not Acceptable"},"413":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Request Entity Too Large"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntityError"}}},"description":"Unprocessable Content"},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Too Early"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"summary":"Get placed sports tickets","tags":["Sports Activity Offering"]}}}}
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/personalization/api-reference/sports/sports-activity-offering.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
